2013-09-23  Alan Modra  <amodra@gmail.com>

	* configure.in (AC_CONFIG_AUX_DIR): Specify top dir.
	* Makefile.am (ACLOCAL_AMFLAGS): Add -I top dir.
	* Makefile.in, aclocal.m4, configure: Regenerate.
	* cmos/Makefile.in, cpu/Makefile.in, cpu/fpu/Makefile.in: Regenerate.
	* cpu/memory/Makefile.in, dma/Makefile.in: Regenerate.
	* floppy/Makefile.in, gui/Makefile.in, harddrv/Makefile.in: Regenerate.
	* keyboard/Makefile.in, pic/Makefile.in, pit/Makefile.in: Regenerate.
	* unmapped/Makefile.in, vga/Makefile.in: Regenerate.

2006-07-11  Thiemo Seufer  <ths@networkno.de>

	* cpu/sid-x86-cpu-wrapper.* (get_pc): Implement function.

2005-12-16  Nathan Sidwell  <nathan@codesourcery.com>

	Second part of ms1 to mt renaming.
	* aclocal.m4: Rebuilt.

2005-06-30  Dave Brolley  <brolley@redhat.com>

	* cpu/memory/Makefile.am (libmemory_la_SOURCES): Remove duplicate
	sid-bochs-memory.cc
	* cpu/memory/Makefile.in: Regenerate.

2005-06-03  Jim Blandy  <jimb@redhat.com>

	* dma/Makefile.in, harddrv/Makefile.in, vga/Makefile.in,
	keyboard/Makefile.in, floppy/Makefile.in, unmapped/Makefile.in,
	pit/Makefile.in, cpu/fpu/Makefile.in, cpu/memory/Makefile.in,
	cpu/Makefile.in, gui/Makefile.in, cmos/Makefile.in,
	pic/Makefile.in: Regenerated with Automake 1.9.5.
	* Makefile.in, aclocal.m4: Regenerated with Automake 1.9.5.

	* configure.in: Call m4_pattern_allow to reassure autoconf that
	the AS_DYNAMIC_OBJS and AS_DYNAMIC_INCS variables are not
	mistakes.
	* configure: Regenerated with autoconf 2.59.

2003-02-06  Frank Ch. Eigler  <fche@redhat.com>

	* cpu/fpu/poly.h: Correct formatting of multiline inline asm.

2002-11-22  Frank Ch. Eigler  <fche@redhat.com>

	* pic/pic.cc: Correct #if BX_DEBUG->BX_DEBUGGER.

2002-11-11  Frank Ch. Eigler  <fche@redhat.com>

	* bochs.h: Namespace fixes.
	* vga/sid-vga-wrapper.cc: Ditto.

2002-03-04  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (SUBDIRLIST): Add harddrv.
	(SUBLIBLIST): Add harddrv/libharddrv.la.
	(INCLUDES): Add harddrv.
	* bochs.h: Include harddrv.h header.
	* components.cxx: Add hw-disk-harddrive type.
	* configure.in (AC_OUTPUT): Add harddrv/Makefile.
	* cmos/sid-cmos-wrapper.cc: Remove cmos_irq_number,
	use_host_time and start_time attributes.
	Add base_memory_in_k, extended_memory_in_k attributes.
	Remove get_time function.
	* cpu/cpu.cc: Change mem->read_physical calls to access_linear
	calls.
	* cpu/cpu.h: Change _16_bit_base_reg references to
	a_16_bit_base_reg, to prevent compiler warnings on some hosts.
	* cpu/init.cc: Likewise.
	* cpu/proc_ctrl.cc: Add RDTSC implementation.
	* floppy/sid-floppy-wrapper.cc: Split up io memory range so that
	3f6 is left for hard drive.
	Add command-delay attribute.
	* keyboard/keyboard.cc: Handle reads from, and writes to port
	0x92.
	* keyboard/sid-keyboard-wrapper.cc: Add serial-delay attribute.
	* pic/sid-pic-wrapper.cc: Change implementation; provide one pin
	per irq, rather than one irq-number pin.
	* vga/sid-vga-wrapper.cc: Fix cmos writing bug.
	* vga/vga.cc: Add BX_SUPPORT_SID ifdefs, so that diffs between
	this file and the bochs version are clearer.

2002-02-14  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* debug/debug.h: Move to top-level bochs directory.
	* debug: Remove directory.
	* pic/*: New files.
	* floppy/*: New files.
	* cmos/*: New files.
	* unmapped/*: New files.
	* dma/*: New files.
	* pit/*: New files.
	* cpu/x86.h: Rename to sid-x86-cpu-wrapper.h.
	* cpu/x86.cc: Rename to sid-x86-cpu-wrapper.cc.
	* cpu/x86-memory-modes.cc: Rename to sid-x86-memory-modes.cc.
	* memory/*: Move to cpu/memory/*.
	* fpu/*: Move to cpu/fpu/*.
	* bochs.h: Change #include's to reflect new and moved files.
	Add sid expansions for A20ADDR(x), BX_INP(addr, len),
	BX_OUTP(addr, val, len), BX_RAISE_HLDA(),
	BX_SET_ENABLE_A20(enabled), BX_GET_ENABLE_A20(), and
	BX_NULL_TIMER_HANDLE.
	* components.cxx: Add support for cmos, dma, pic, pit, floppy,
	unmapped.
	* config.h.in: Set BX_SUPPORT_TASKING, BX_DMA_FLOPPY_IO and
	BX_SUPPORT_A20 to 1 by default.
	Set SMF macros to 0 for cmos, dma, pic, pit, floppy and unmapped
	components.
	* configure.in: Add pic, pit, cmos, dma, floppy, and unmapped
	Makefiles to AC_OUTPUT.
	* cpu/exception-sid.cc: Remove.  Merge differences into
	cpu/exception.cc.
	* cpu/cpu-sid.h: Remove.  Merge differences into cpu/cpu.h.
	* cpu/cpu-sid.cc: Remove.  Merge differences into cpu/cpu.cc.
	* cpu/init-sid.cc: Remove.  Merge differences into cpu/init.cc.
	* cpu/soft_int-sid.cc: Remove.
	* cpu/debugstuff-sid.cc: Remove.  Merge differences into
	cpu/debugstuff.cc.
	* cpu/ctrl_xfer32-sid.cc: Remove.
	* cpu/fetchdecode-sid.cc: Remove.
	* cpu/Makefile.am: Remove references to removed files.
	(SUBDIRS) Add memory and fpu.
	(SUBLIBS) Add memory/libmemory.la and fpu/libfpu.la.
	(INCLUDES) Add memory and fpu directories.
	* cpu/cpu.cc: Remove BX_HRQ related FIXME's.
	Add interrupt pin support.
	* cpu/debugstuff.cc (BX_SUPPORT_SID): Add implementations of
	dbg_get_reg, dbg_set_reg, and dbg_get_eflags for when
	BX_DEBUGGER isn't defined.
	* cpu/io.cc: Remove #if 0's -- no longer needed.
	* cpu/io_pro.cc: Likewise.
	* gui/x-gui.cc: Change title bar messages.
	* keyboard/keyboard.cc: Change keyboard to remove serial delay
	pin.
	* keyboard/sid-keyboard-wrapper.cc: Add a20-related pins.
	Remove serial-delay pin.
	Add cmos accessor.
	Add trigger-irq pin.
	* keyboard/sid-keyboard-wrapper.h: Likewise.
	* vga/sid-vga-wrapper.cc: Rename buses from eg. 3b4 to 0x3b4.
	Import imagemmap code from generic.cxx.
	* vga/vga.cc: Cap number of rows at BX_MAX_TEXT_LINES.
	* Makefile.am (SUBDIRLIST): Add pic, pit, cmos, dma, floppy,
	unmapped.
	Removed fpu, memory.
	(SUBLIBLIST): Likewise.
	(INCLUDES): Likewise.

2002-01-29  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (SUBDIRLIST): Add keyboard.
	(SUBLIBLIST): Add keyboard/libkeyboard.la.
	(INCLUDES): Add keyboard directory.
	* bochs.h [BX_SUPPORT_SID] (BX_SET_ENABLE_A20): Change expansion
	to nil.
	[BX_SUPPORT_SID] (BX_GET_ENABLE_A20): Change expansion to 0.
	Make declaration of bx_dbg unconditional.
	Include keyboard/keyboard.h.
	* components.cxx: Add type hw-input-keyboard.
	* config.h.in (BX_SUPPORT_PAGING): Set to 1.
	(BX_USE_TLB): Likewise.
	(BX_USE_KEY_SMF): Set to 0.
	* configure.in: Add keyboard/Makefile to AC_OUTPUT.

	* cpu/exception.cc: Remove BX_DEBUGGER ifdefs from around bx_dbg
	references.
	* cpu/proc_ctrl.cc: Likewise.
	* cpu/protect_ctrl_pro.cc: Likewise.

	* gui/x-gui.h: Add generate_scancode_pin output_pin.
	* gui/x-gui.cc:	Add ascii_to_key_event array.
	(x_gui): Add generate-scancode pin.
	(handle_events): Add checks for KeyPress and KeyRelease events.
	(xkeypress): New function.

	* keyboard/Makefile.am: New file.
	* keyboard/Makefile.in: Likewise.
	* keyboard/keyboard.cc: Likewise.
	* keyboard/keyboard.h: Likewise.
	* keyboard/keysymbols.h: Likewise.
	* keyboard/sid-keyboard-wrapper.cc: Likewise.
	* keyboard/sid-keyboard-wrapper.h: Likewise.
	* keyboard/tests: Likewise.
	* keyboard/tests/kbd-test.c: Likewise.

	* vga/sid-vga-wrapper.cc (vga): Change port pin names.
	* vga/sid-vga-wrapper.h: Change VGA_SID_WRAPPER_DEF_H to SID_VGA_WRAPPER_DEF_H.

2002-01-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (SUBDIRLIST): Add vga, gui.
	(SUBLIBLIST): Add vga/libvga.la, gui/libgui.la.
	(INCLUDES): Add vga, gui directories.
	* bochs.h: Include vga/vga.h.
	* configure.in: Add check for X11/Xos.h header.
	Add vga/Makefile and gui/Makefile to AC_OUTPUT.
	* config.h.in (BX_USE_VGA_SMF): Set to 0.
	(HAVE_X11_XOS_H): New define.
	* components.cxx (compX86ListTypes): Add types hw-video-vga,
	sid-io-vga.
	(compX86Create): Likewise.
	(compX86Delete): Handle deletion of x86_cpu, vga and x_gui components.

	* gui/Makefile.am: New file.
	* gui/Makefile.in: Likewise.
	* gui/dummy.cc: Likewise.
	* gui/icon_bochs.h: Likewise.
	* gui/x-gui.h: Likewise.
	* gui/x-gui.cc: Likewise.

	* vga/Makefile.am: New file.
	* vga/Makefile.in: Likewise.
	* vga/sid-vga-wrapper.cc: Likewise.
	* vga/sid-vga-wrapper.h: Likewise.
	* vga/tests/vga-test-bounce.c: Likewise.
	* vga/tests/vga-test-color.c: Likewise.
	* vga/tests/vga-test-draw.c: Likewise.
	* vga/tests/vga-test-modes.c: Likewise.
	* vga/vga.cc: Likewise.
	* vga/vga.cc: Likewise.

2001-11-30  Frank Ch. Eigler  <fche@redhat.com>

	* cpu/x86.h: Add dummy x86_cpu dtor.

2001-11-28  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* configure.in: Add AC_EXEEXT.

2001-11-15  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* bochs.h [BX_SUPPORT_SID] (BX_VGA_MEM_READ): Change
	expansion to 0 from NULL to prevent compiler warnings.

	* cpu/cpu-sid.h: Remove #define for LOG_THIS; it
	was causing the compiler to issue redefinition warnings.
	* cpu/cpu-sid.cc: Add #define for LOG_THIS, to
	prevent compiler warnings.
	* cpu/init-sid.cc: Likewise.
	* memory/memory-sid.cc: Likewise.

2001-11-13  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/cpu-sid.cc: Add proper copyright notice.
	* cpu/cpu-sid.h: Likewise.
	* cpu/debugstuff-sid.cc: Likewise.
	* cpu/exception-sid.cc: Likewise.
	* cpu/fetchdecode-sid.cc: Likewise.
	* cpu/init-sid.cc: Likewise.
	* cpu/x86-memory-modes.cc: Likewise.
	* cpu/x86.cc: Likewise.
	* cpu/x86.h: Likewise.
	* memory/memory-sid.cc: Likewise.
	* memory/memory-sid.h: Likewise.
	* cpu/debugstuff-sid.cc: Remove unneeded debug message.
	* README: New file.

2001-11-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/debugstuff-sid.cc (dbg_set_reg): Remove some checks that
	bochs performed when writing to the eflags register.  They were
	causing some gdb testsuite failures.
	* memory/memory-sid.cc: Add exception handling to read_physical
	and write_physical.

2001-11-07  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/x86-memory-modes.cc: Change memory mode setup to use
	sidcpuutil.h write_data_memory functions.
	* cpu/x86-memory-modes.cc: Change default memory mode's gdt to
	more closely resemble cygmon mode's.
	* cpu/x86.cc: Remove write_memory and read_memory implementations.
	* cpu/x86.h: Make sid_mem_c's read_physical and write_physical
	friends of x86_cpu.
	* cpu/x86.h: Remove write_memory and read_memory declarations.
	* memory/memory-sid.cc: Rewrite write_physical and read_physical
	implementations to use sidcpuutil.h's write_data_memory_* and
	read_data_memory_* members.

2001-10-15  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in (AC_CHECK_SIZEOF*): Give default sizes for
	canadian-cross builds.
	* configure: Regenerated.

2001-10-12  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/x86.cc: Add blocking_on_syscall again.
	* cpu/x86.h: Add blocking_on_syscall again.
	* cpu/exception-sid.cc: Add trap to breakpoint comment.

	* bochs.h: Include debug/debug.h.
	* cpu/Makefile.am: Add debug.h to INCLUDES and add
	debugstuff-sid.cc to libcpu_la_SOURCES.
	* cpu/cpu-sid.cc: Add detail to error reporting.
	* cpu/cpu-sid.h: Add dbg_get_eflags, dbg_get_reg, dbg_set_reg, INT3
	removed verbose_p.
	* cpu/exception-sid.cc: Intercept vector == 0x03 to call do_breakpoint.
	* cpu/fetchdecode-sid.cc: Change BxOpcodeInfo to call sid version of INT3.
	* cpu/soft_int-sid.cc: Include INT3 implementation.
	* cpu/x86-memory-modes.cc: Change limit_scaled's to the proper
	value, 0xffffffff.
	* cpu/x86.cc: Remove blocking_on_syscall, remove watchable_register "pc".
	* cpu/x86.cc: Add call to create_gdb_register_attrs.
	* cpu/x86.cc: Change do_syscall to use yield() rather than blocking_on_syscall.
	* cpu/x86.cc (step_insn): Catch cpu_exception, and add call to signal_trap
	when enable_step_trap_p is set.
	* cpu/x86.cc: Add implementations for do_breakpoint,
	flush_icache, dgb_get_reg, dbg_set_reg, remove set_endian.
	* cpu/x86.h: Add do_breakpoint, remove set_endian and blocking_on_syscall.
	* cpu/x86.h: Change x86 component to a basic_bi_endian_cpu from a
	basic_little_endian_cpu.

2001-10-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am: Add conditional compiling of cpu/* fpu/* and
	memory/* files.
	* components.cxx: Add info to generate stub when sid not
	configured for x86 target.
	* cpu/x86.h: Add verbose_p member.
	* cpu/x86.cc: Add verbose_p support.

2001-09-28  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in: Removed AC_OUTPUT calls for nonexistent subdirs.
	* configure: Regenerated.

2001-09-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* fpu/*: Add fpu support to bochs component.

2001-09-23  Frank Ch. Eigler  <fche@redhat.com>

	* configure.in (with_nogui): Hard-code --with-nogui.
	* configure: Regenerated.

2001-09-18  Frank Ch. Eigler  <fche@redhat.com>

	* memory/misc_mem.cc (BX_MEM_C): Use sprintf, not snprintf, for
	portability to Solaris.

2001-09-18  Frank Ch. Eigler  <fche@redhat.com>

	* cpu/cpu.cc (prefetch): Make itranslate_* call conditional on
	BX_SUPPORT_PAGING.
	* cpu/cpu.h ({i,d}translate_linear): Make declaration conditional.
	* cpu/main-hack.cc (main): Comment out if BX_SUPPORT_SID.

2001-09-13  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/*: Remove deprecated files: memory-base.h memory-bochs.cc
	memory-bochs.h memory-sid.cc memory-sid.h misc_mem.cc.
	* memory/*: Remove deprecated files: memory-base.h memory-bochs.cc
	memory-bochs.h.
	* cpu/x86-memory-modes.cc: Add support for cygmon protected
	memory mode.
	* cpu/x86.cc: Add proper handling of signal_trap return values
	to do_syscall().
	* cpu/x86.h: Add memory-mode member to x86_cpu.

2001-08-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* cpu/*: Make changes to support syscalls.

2001-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

	Subclass BX_CPU_C to create sid_cpu_c class.

	Make changes to fetch/decode code; bochs now runs test asm program.
